CC = iccavr
CFLAGS =  -I..\inc -ID:\compiler\ethernut\nut350\include\ -ID:\compiler\icc\include\ -e -D_MCU_enhanced -D__HARVARD_ARCH__ -D_DEBUG=1 -DATMEGA  -l -g -Mavr_enhanced 
ASFLAGS = $(CFLAGS)  -Wa-g
LFLAGS =  -LD:\compiler\icc\lib\ -g -ucrtatmegaram.o -bfunc_lit:0x8c.0x20000 -dram_end:0x10ff -bdata:0x1100.0x7fff -dFRAM:0 -dhwstk_size:40 -beeprom:1.4096 -fihx_coff -ucrtnutram.o d:\compiler\icc\lib\nutinit.o -S2
FILES = scanner.o display.o nutpiper.o player.o config.o lcd20.o wlandrv.o wlan.o pcmcia.o 

nutpiper:	$(FILES)
	$(CC) -o nutpiper $(LFLAGS) @nutpiper.lk   -lnutpro -lnutfs -lnutnet -lnutos -lnutdev -lnutcrt -llpatmega -lcatmega
scanner.o: D:/compiler/ethernut/nut350/include/sys/heap.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h\
 D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/ethernut/nut350/include/sys/thread.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/sys/timer.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/netinet/tcp.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/arpa/inet.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h D:/compiler/icc/include/limits.h D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/icc/include/stdarg.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h ../inc/scanner.h D:/compiler/ethernut/nut350/include/sys/socket.h D:/compiler/ethernut/nut350/include/sys/sock_var.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/netinet/tcp_fsm.h ../inc/config.h
scanner.o:	D:\projekte\avr\nutpiper\src\scanner.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\scanner.c
display.o: D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h\
 D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/stdarg.h D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h\
 D:/compiler/icc/include/limits.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/dev/term.h D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/sys/file.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/thread.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/timer.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/sys/event.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/arpa/inet.h D:/compiler/ethernut/nut350/include/sys/types.h ../inc/config.h ../inc/player.h\
 D:/compiler/ethernut/nut350/include/sys/socket.h D:/compiler/ethernut/nut350/include/sys/sock_var.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/netinet/tcp_fsm.h ../inc/display.h
display.o:	D:\projekte\avr\nutpiper\src\display.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\display.c
nutpiper.o: D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h D:/compiler/icc/include/limits.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/stdio.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h\
 D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/stdarg.h D:/compiler/ethernut/nut350/include/io.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/debug.h\
 D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/sys/file.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/uart.h D:/compiler/ethernut/nut350/include/sys/device.h\
 D:/compiler/ethernut/nut350/include/dev/term.h D:/compiler/ethernut/nut350/include/sys/device.h ../inc/lcd20.h D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/dev/vs1001k.h\
 D:/compiler/ethernut/nut350/include/sys/nutconfig.h D:/compiler/ethernut/nut350/include/cfg/ethernut.h D:/compiler/ethernut/nut350/include/cfg/modem.h D:/compiler/ethernut/nut350/include/cfg/medianut.h\
 D:/compiler/ethernut/nut350/include/cfg/coconut.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/nicrtl.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/net/if_types.h\
 D:/compiler/ethernut/nut350/include/sys/heap.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/thread.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/timer.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/confnet.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/netinet/tcp.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/arpa/inet.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/route.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/pro/dhcp.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/bankmem.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/irsony.h D:/compiler/ethernut/nut350/include/dev/ir.h\
 D:/compiler/ethernut/nut350/include/sys/types.h ../inc/config.h ../inc/display.h ../inc/scanner.h D:/compiler/ethernut/nut350/include/sys/socket.h D:/compiler/ethernut/nut350/include/sys/sock_var.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/netinet/tcp_fsm.h ../inc/config.h ../inc/player.h D:/compiler/ethernut/nut350/include/sys/socket.h ../inc/wlan.h D:/compiler/ethernut/nut350/include/dev/netbuf.h\
 D:/compiler/ethernut/nut350/include/net/if_var.h
nutpiper.o:	D:\projekte\avr\nutpiper\src\nutpiper.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\nutpiper.c
player.o: D:/compiler/ethernut/nut350/include/sys/heap.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h\
 D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/ethernut/nut350/include/sys/event.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/sys/timer.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/thread.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/vs1001k.h\
 D:/compiler/ethernut/nut350/include/sys/nutconfig.h D:/compiler/ethernut/nut350/include/cfg/ethernut.h D:/compiler/ethernut/nut350/include/cfg/modem.h D:/compiler/ethernut/nut350/include/cfg/medianut.h\
 D:/compiler/ethernut/nut350/include/cfg/coconut.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h D:/compiler/icc/include/limits.h D:/compiler/icc/include/string.h\
 D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/icc/include/stdarg.h ../inc/player.h D:/compiler/ethernut/nut350/include/sys/socket.h\
 D:/compiler/ethernut/nut350/include/sys/sock_var.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/netinet/tcp_fsm.h\
 D:/compiler/ethernut/nut350/include/sys/bankmem.h D:/compiler/ethernut/nut350/include/sys/types.h
player.o:	D:\projekte\avr\nutpiper\src\player.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\player.c
config.o: D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h\
 D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h D:/compiler/icc/include/limits.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h\
 D:/compiler/ethernut/nut350/include/arpa/inet.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/device.h\
 D:/compiler/ethernut/nut350/include/sys/file.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/if_types.h\
 ../inc/config.h D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/icc/include/stdarg.h
config.o:	D:\projekte\avr\nutpiper\src\config.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\config.c
lcd20.o: D:/compiler/icc/include/stdlib.h D:/compiler/icc/include/_const.h D:/compiler/icc/include/limits.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/sys/nutconfig.h\
 D:/compiler/ethernut/nut350/include/cfg/ethernut.h D:/compiler/ethernut/nut350/include/cfg/modem.h D:/compiler/ethernut/nut350/include/cfg/medianut.h D:/compiler/ethernut/nut350/include/cfg/coconut.h ../inc/lcd20.h\
 D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/sys/file.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h\
 D:/compiler/icc/include/stddef.h D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/ethernut/nut350/include/dev/term.h\
 D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/sys/timer.h D:/compiler/ethernut/nut350/include/sys/types.h
lcd20.o:	D:\projekte\avr\nutpiper\src\lcd20.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\lcd20.c
wlandrv.o: D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h\
 D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/stdarg.h D:/compiler/icc/include/stddef.h D:/compiler/icc/include/string.h\
 D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/sys/timer.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/thread.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/sys/event.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/atom.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/errno.h\
 D:/compiler/ethernut/nut350/include/netinet/if_ether.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/device.h\
 D:/compiler/ethernut/nut350/include/sys/file.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/if_types.h\
 D:/compiler/ethernut/nut350/include/net/if_arp.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/ether.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h\
 D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/dev/irqreg.h D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/dev/irqstack.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/dev/irqreg_avr.h ../inc/typedefs.h ../inc/pcmcia.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h\
 ../inc/typedefs.h ../inc/wlancfg.h ../inc/wlan.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/net/if_var.h ../inc/wlandrv.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h ../inc/typedefs.h\
 ../inc/wlan.h ../inc/wlandef.h
wlandrv.o:	D:\projekte\avr\nutpiper\src\wlandrv.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\wlandrv.c
wlan.o: D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h D:/compiler/ethernut/nut350/include/stdio.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h\
 D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/stdarg.h\
 D:/compiler/icc/include/stddef.h D:/compiler/icc/include/string.h D:/compiler/icc/include/_const.h D:/compiler/ethernut/nut350/include/sys/heap.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/sys/timer.h\
 D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/netinet/if_ether.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/sys/device.h D:/compiler/ethernut/nut350/include/sys/file.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/net/if_types.h D:/compiler/ethernut/nut350/include/net/if_arp.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/net/ether.h D:/compiler/ethernut/nut350/include/sys/types.h\
 D:/compiler/ethernut/nut350/include/dev/netbuf.h D:/compiler/ethernut/nut350/include/net/if_var.h D:/compiler/ethernut/nut350/include/net/if_var.h ../inc/typedefs.h ../inc/wlan.h D:/compiler/ethernut/nut350/include/dev/netbuf.h\
 D:/compiler/ethernut/nut350/include/net/if_var.h ../inc/wlandrv.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h ../inc/typedefs.h ../inc/wlan.h ../inc/wlandef.h
wlan.o:	D:\projekte\avr\nutpiper\src\wlan.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\wlan.c
pcmcia.o: D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h D:/compiler/ethernut/nut350/include/sys/atom.h D:/compiler/ethernut/nut350/include/sys/types.h D:/compiler/ethernut/nut350/include/compiler.h\
 D:/compiler/ethernut/nut350/include/arch/avr.h D:/compiler/icc/include/stddef.h D:/compiler/icc/include/macros.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/eeprom.h D:/compiler/icc/include/iom128v.h\
 D:/compiler/ethernut/nut350/include/compiler.h ../inc/typedefs.h ../inc/pcmcia.h D:/compiler/icc/include/iom128v.h D:/compiler/icc/include/macros.h ../inc/typedefs.h
pcmcia.o:	D:\projekte\avr\nutpiper\src\pcmcia.c
	$(CC) -c $(CFLAGS) D:\projekte\avr\nutpiper\src\pcmcia.c
